JUCE: InterprocessConnectionServer Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
InterprocessConnectionServer Class Referenceabstract
juce_events » interprocess

An object that waits for client sockets to connect to a port on this host, and creates InterprocessConnection objects for each one. More...

`#include <juce_InterprocessConnectionServer.h>`

Inheritance diagram for InterprocessConnectionServer:

## Public Member Functions
| InterprocessConnectionServer ()
| Creates an uninitialised server object.
| ~InterprocessConnectionServer () override
| Destructor.
bool | beginWaitingForSocket (int portNumber, const String &bindAddress=String())
| Starts an internal thread which listens on the given port number.
void | stop ()
| Terminates the listener thread, if it's active.
int | getBoundPort () const noexcept
| Returns the local port number to which this server is currently bound.

## Protected Member Functions
virtual InterprocessConnection * | createConnectionObject ()=0
| Creates a suitable connection object for a client process that wants to connect to this one.

## Detailed Description

An object that waits for client sockets to connect to a port on this host, and creates InterprocessConnection objects for each one.

To use this, create a class derived from it which implements the createConnectionObject() method, so that it creates suitable connection objects for each client that tries to connect.

See also
  InterprocessConnection

## Constructor & Destructor Documentation

## ◆ InterprocessConnectionServer()

InterprocessConnectionServer::InterprocessConnectionServer | ( |  | ) |

Creates an uninitialised server object.

## ◆ ~InterprocessConnectionServer()

InterprocessConnectionServer::~InterprocessConnectionServer | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ beginWaitingForSocket()

bool InterprocessConnectionServer::beginWaitingForSocket | ( | int | portNumber,
|  | const String & | bindAddress = `String()`
| ) |  |

Starts an internal thread which listens on the given port number.

While this is running, if another process tries to connect with the InterprocessConnection::connectToSocket() method, this object will call createConnectionObject() to create a connection to that client.

Use stop() to stop the thread running.

Parameters

  portNumber | The port on which the server will receive connections
  bindAddress | The address on which the server will listen for connections. An empty string indicates that it should listen on all addresses assigned to this machine.

See also
  createConnectionObject, stop

## ◆ stop()

void InterprocessConnectionServer::stop | ( |  | ) |

Terminates the listener thread, if it's active.

See also
  beginWaitingForSocket

## ◆ getBoundPort()

int InterprocessConnectionServer::getBoundPort | ( |  | ) | const
| noexcept

Returns the local port number to which this server is currently bound.

This is useful if you need to know to which port the OS has actually bound your socket when calling beginWaitingForSocket with a port number of zero.

Returns -1 if the function fails.

## ◆ createConnectionObject()

virtual InterprocessConnection * InterprocessConnectionServer::createConnectionObject | ( |  | ) |
| protectedpure virtual

Creates a suitable connection object for a client process that wants to connect to this one.

This will be called by the listener thread when a client process tries to connect, and must return a new InterprocessConnection object that will then run as this end of the connection.

See also
  InterprocessConnection

The documentation for this class was generated from the following file:

- juce_InterprocessConnectionServer.h